PHP is among the most commonly used class-based programming languages. It is very popular since it is free software, which you can use to build interactive sites such as community web portals, e-stores or online learning sites as opposed to static HTML websites. A PHP module should be present on the server where a PHP-driven website is hosted so that its PHP code can be ‘translated’. Because there are no license charges for this kind of module and the language provides countless options for the web applications that you build, there’re hundreds of millions of PHP websites. In addition, there are a multitude of PHP-based scripts, which you can use for your websites without needing to possess any programming knowledge. As there are a couple of PHP versions, you should ensure that the very same version that you used whilst building your website is enabled on the web server too.
PHP 4 and PHP 5 Support in Shared Hosting
With our Linux shared packages, you’ll be able to select which PHP version will be active for your shared web hosting account, since different versions are supported on our servers. With just one mouse click, you’ll be able to switch between PHP 5.5, 5.4, 5.3, 5.2 and 4 and whenever a new version is released in the future, we will add it to the Hepsia hosting Control Panel without removing the older ones. Thus, you will be able to host all the websites that you’ve developed throughout the years. In stark contrast to lots of other hosting suppliers, we will not force you to update such sites, as a script may be outdated, but this doesn’t automatically mean that it’s vulnerable as you may have performed modifications to its source code to fill safety breaches. For your convenience, you will even be able to set a different PHP version for each site that you host in your shared account.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
Even if your sites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running at the same time on our servers and each of them can be enabled for your account with no more than a click of the mouse from our custom Hepsia hosting Control Panel. In addition to the most recent PHP 5.5 and PHP 5.4, we also offer support for 5.2, 5.3 and the older PHP 4. The latter has already been abandoned by the great majority of hosting companies, but we hold that you should not be forced to modify a site that took years to develop, since older scripting language syntax doesn’t invariably suggest security loopholes. Quite the opposite, an adequately maintained website using PHP 4 can be more secure than a wrongly maintained one using PHP 5. For the sake of your convenience, we will also provide you with the possibility to specify a different PHP version for each single site within the account.